Skip to main content
POST
Write Off an Invoice

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

invoice
string
required

The id or the vid of the Invoice to write off A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128

Response

JSON A full Invoice object.

object
string

Value is "Invoice"

id
string

A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.

Maximum string length: 128
vid
string

A Globally Unique Identifier (GUID) for this object. This value is generated by Vindicia.

Maximum string length: 128
invoice_date
string<datetime>

The billing date of the invoice. Typically the 1st day of the billed service period. This is the day when the invoice status goes from Open to Due.

due_date
string<datetime>

The due date of the invoice. Typically the same as the “invoice date” unless Net Terms are specified for the Subscription.

billing_service_period_start
string<datetime>

Start of the billing/service period covered by this invoice.

billing_service_period_end
string<datetime>

End of the billing/service period covered by this invoice.

status
enum<string>

The status of the invoice. Values can be Open, Due, Paid, Overdue, Written Off.

Available options:
Open,
Due,
Paid,
Overdue,
Written Off
invoice_currency
string

An ISO 4217 Currency Code. An invoice’s charges must be in a single currency.

original_invoice_amount
integer

The original net total of the invoice (in the currency identified as the invoice_currency).

invoice_balance
integer

The current balance due of the invoice (in the currency identified as the invoice_currency).

gross_charges_total
integer

The original gross charges total of the invoice (in the currency identified as the invoice_currency). Represents the pre-tax, pre-discount sub-total of all charge/purchase items.

tax_charges_total
integer

The original tax total of the invoice (in the currency identified as the invoice_currency).

credit_total
integer

The original discount and credit total of the invoice (in the currency identified as the invoice_currency).

payments_received_total
integer

The current currency total of all payments successfully processed against this invoice.

invoice_line_items
object[]
invoice_tax_items
object[]
invoice_credit_items
object[]
invoice_payments
object[]
account
object

The Account represents a merchant’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in CashBox for billing. Read More in our User Guide

An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide.

An Account owns the “on file” payment methods to be used by it in billing.

subscription
object
billing_sequence
integer

The subscription’s billing cycle for which this invoice charges. As a zero-based index, this indicates the renewal number.

invoice_terms
integer

InvoiceTerms from the owning subscription. Represents Days after the invoice date at which a bill is considered delinquent, if the AutoBill payment method is of type MerchantAcceptedPayment. The value will be undefined for all other payment method types.

affiliate
string

Affiliate or channel identifier, if any, under which the subscription was submitted.

sub_affiliate
string

A more granular or subordinate affiliate identifier.

metadata
object

Metadata are sets of key-value pairs and are useful for storing additional, structured information on an object. This object is used to store a list of keys, which you create and associate with text string values. You use these key-value pairs to store custom data for your own internal tracking purposes, or to store CashBox specific data for defined CashBox purposes.

The metadata field supports key-value pairs with the following limitations:

Keys can be up to 256 characters

Keys can be any string that is needed, except only CashBox can prefix keys with vin:

Values can be up to 1024 characters

In some cases metadata from one object will be inherited automatically from one object to another that is spawned from it. e.g. metadata on a Subscription and SubscriptionItem will be inherited by all Transactions and TransactionItems that result from them.